## net.sf.saxon.value
Class BigIntegerValue.BigIntegerComparable

    java.lang.Object
      net.sf.saxon.value.BigIntegerValue.BigIntegerComparable

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  BigIntegerValue

    protected static class BigIntegerValue.BigIntegerComparable

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`protected BigIntegerValue` `value`

Constructor Summary
`BigIntegerValue.BigIntegerComparable(BigIntegerValue value)`

Method Summary
`java.math.BigInteger` `asBigInteger()`
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected BigIntegerValue value

Constructor Detail

### BigIntegerValue.BigIntegerComparable

    public BigIntegerValue.BigIntegerComparable(BigIntegerValue value)

Method Detail

### asBigInteger

    public java.math.BigInteger asBigInteger()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright (c) Saxonica Limited. All rights reserved.